# Ogre::TempBlendedBufferInfo Class Reference

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::TempBlendedBufferInfo:

List of all members.

## Public Member Functions

| ~TempBlendedBufferInfo (void)
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest.
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct.
void | licenseExpired (HardwareBuffer *buffer)
| Overridden member from HardwareBufferLicensee.

## Public Attributes

HardwareVertexBufferSharedPtr | srcPositionBuffer
HardwareVertexBufferSharedPtr | srcNormalBuffer
HardwareVertexBufferSharedPtr | destPositionBuffer
HardwareVertexBufferSharedPtr | destNormalBuffer
bool | posNormalShareBuffer
| Both positions and normals are contained in the same buffer.
unsigned short | posBindIndex
unsigned short | normBindIndex
bool | bindPositions
bool | bindNormals

## Detailed Description

Structure for recording the use of temporary blend buffers.

Definition at line 58 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( | void |  | ) |

## Member Function Documentation

void Ogre::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload
| ) |

| Utility method, binds dest copies into a given VertexData struct.

void Ogre::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = true,
|  | bool | normals = true
| ) |

| Utility method, checks out temporary copies of src into dest.

void Ogre::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) | `[virtual]`

| Overridden member from HardwareBufferLicensee. Implements Ogre::HardwareBufferLicensee.

## Member Data Documentation

bool Ogre::TempBlendedBufferInfo::bindNormals

| Definition at line 72 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::bindPositions

| Definition at line 71 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destNormalBuffer

| Definition at line 66 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destPositionBuffer

| Definition at line 65 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::normBindIndex

| Definition at line 70 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::posBindIndex

| Definition at line 69 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::posNormalShareBuffer

| Both positions and normals are contained in the same buffer. Definition at line 68 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcNormalBuffer

| Definition at line 63 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcPositionBuffer

| Definition at line 62 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:00:39 2006